#define pre pre2
%if 0%{?fedora} >= 19
%global  __global_cflags -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 %{_hardened_cflags}
%endif
%{!?_unitdir: %global _unitdir /lib/systemd/system}

Name:		dante
Version:	1.4.0
Release:	2%{?pre:.%%{pre}}%{?dist}
Summary:	A free SOCKS v4/v5 client implementation

Group:		Networking/Utilities
License:	BSD-type
URL:		http://www.inet.no/dante/
Source0:	ftp://ftp.inet.no/pub/socks/%{name}-%{version}%{?pre:-%{pre}}.tar.gz
Source1:    dante.init
Source2:    dante.service
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	pam-devel, bison, flex, glibc-headers

%if 0%{?fedora} >= 17
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
%else
Requires(post):      /sbin/chkconfig
Requires(preun):     /sbin/chkconfig
Requires(preun):     /sbin/service
Requires(postun):    /sbin/service
%endif

%description
Dante is a free implementation of the SOCKS proxy protocol, version 4,
and version 5 (rfc1928). It can be used as a firewall between
networks. It is being developed by Inferno Nettverk A/S, a Norwegian
consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications, allowing them to automatically use the SOCKS
protocol.

%package server
Summary:	A free SOCKS v4/v5 server implementation
Group:		System Environment/Daemons
Requires:	dante

%description server
This package contains "sockd", the SOCKS proxy daemon and its
documentation.  This is the server part of the Dante SOCKS proxy
package and allows SOCKS clients to connect through it to the external
network.

%package devel
Summary:	development libraries for SOCKS
Group:		Development/Libraries
Requires:	dante

%description devel
Additional libraries required to compile programs that use SOCKS.

%if 0%{?fedora} >= 17
%package sysvinit
Summary:    sysvinit for %{name}.
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description sysvinit
%{summary}.
%endif

%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%build
%configure \
	--without-glibc-secure \
	--enable-shared \
	--disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#set library as executable - prevent ldd from complaining
chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so.*.*
install -D -m0644 example/socks-simple.conf $RPM_BUILD_ROOT%{_sysconfdir}/socks.conf
install -D -m0644 example/sockd.conf $RPM_BUILD_ROOT%{_sysconfdir}/sockd.conf
%if 0%{?fedora}
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/sockd.service
%endif
install -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/sockd

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post server
%if 0%{?fedora} >= 17
%systemd_post sockd.service
%else
/sbin/chkconfig --add sockd
%endif

%preun server
%if 0%{?fedora} >= 17
%systemd_preun suricata.service
%else
if [ $1 = 0 ]; then
	/sbin/chkconfig sockd stop > /dev/null 2>&1
	/sbin/chkconfig --del sockd
fi
%endif

%postun server
%if 0%{?fedora} >= 17
%systemd_postun_with_restart sockd.service
%endif

%files
%defattr(-,root,root,0755)
%doc BUGS CREDITS NEWS README SUPPORT doc/README* example/socks.conf example/socks-simple-withoutnameserver.conf example/sockd.conf example/socks-simple.conf
%config %{_sysconfdir}/socks.conf
%{_libdir}/libsocks.so.0.1.1
%{_libdir}/libsocks.so.0
%{_libdir}/libsocks.so
%{_libdir}/libdsocks.so
%{_bindir}/socksify
%{_mandir}/man1/socksify.1*
%{_mandir}/man5/socks.conf.5*

%files server
%defattr(-, root, root, 0755)
%config %{_sysconfdir}/sockd.conf
%if 0%{?fedora} >= 17
%{_unitdir}/sockd.service
%else
%config %{_initrddir}/sockd
%endif
%{_sbindir}/sockd
%{_mandir}/man5/sockd.conf.5*
%{_mandir}/man8/sockd.8*

%files devel
%defattr(-, root, root, 0755)
%doc INSTALL doc/rfc* doc/SOCKS4.protocol
%{_includedir}/socks.h

%if 0%{?fedora} >= 17
%files sysvinit
%{_sysconfdir}/rc.d/init.d/sockd
%endif

%changelog
* Fri Feb 14 2014 momo-i <webmaster@momo-i.org> - 1.4.0-2
- update spec file.

* Wed Feb 12 2014 momo-i <webmaster@momo-i.org> - 1.4.0-1
- Update to 1.4.0
- rewrite spec file for fedora.

* Fri Oct 18 2013 momo-i <webmaster@momo-i.org> - 1.4.0-pre2-1
- Update to 1.4.0-pre2

* Wed Dec 07 2011 momo-i <webmaster@momo-i.org> - 1.3.2-1
- Initial rpm release.
